GET
/scim/v2/Users/{userId}

Authorization

Descope Project ID:Access Key
AuthorizationBearer <token>

Project ID:Access Key as bearer token.

In: header

Path Parameters

userId*string

Load an existing SCIM user, using a valid access key.

This endpoint allows administrators to load an existing SCIM user.

The response includes the user's object, which includes details about the users including their email, phone, username, name, etc.

It is important to note the bearer token for SCIM API endpoints. The format is ProjectId:AccessKey the access key must be a SCIM access key scoped to the applicable tenant. Create one with the SCIM access key API, the SSO Setup Suite, or the Create SCIM Access Key flow action.

Next Steps

Once you have user data, you can utilize Update SCIM Group to add or remove the user on groups.

See also

curl -X GET "https://api.descope.com/scim/v2/Users/string"
{  "user": {    "schemas": [      "string"    ],    "id": "string",    "userName": "string",    "meta": {      "created": {},      "location": "string",      "lastModified": {},      "resourceType": "string"    },    "emails": [      {        "value": "string",        "primary": true,        "type": "string"      }    ],    "name": {      "givenName": "string",      "familyName": "string",      "middleName": "string"    },    "active": true,    "displayName": "string",    "detail": "string",    "attributes": {},    "status": 0  }}
export interface Response {user?: SCIMGetUsersResource}export interface SCIMGetUsersResource {schemas?: string[]id?: stringuserName?: stringmeta?: SCIMGetUsersResourceMetaemails?: {value?: stringprimary?: booleantype?: string}[]name?: {givenName?: stringfamilyName?: stringmiddleName?: string}active?: booleandisplayName?: stringdetail?: stringattributes?: {}status?: number}export interface SCIMGetUsersResourceMeta {created?: {}location?: stringlastModified?: {}resourceType?: string}
Was this helpful?